@import url("https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600;700&display=swap");
@tailwind base;
@tailwind components;
@tailwind utilities;

/* select2 style */
.select2-container {
	@apply relative box-border align-middle inline-block;
}

.select2-container .select2-selection {
	@apply bg-gray-50 border border-gray-300 text-gray-500 text-sm rounded-lg focus:ring-1 focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:text-gray-400 dark:focus:ring-blue-500 dark:focus:border-blue-500 peer-[.invalid]:border-red-500 peer-[.invalid]:bg-red-50 dark:peer-[.invalid]:bg-gray-700 peer-[.invalid]:focus:border-red-600 dark:peer-[.invalid]:focus:border-red-600 peer-[.invalid]:focus:ring-red-600 dark:peer-[.invalid]:focus:ring-red-600 peer-[.invalid]:text-red-600 dark:peer-[.invalid]:text-red-600 peer-[.invalid]:placeholder-red-700 dark:peer-[.invalid]:placeholder-red-500;
}

.select2-container.select2-container--disabled .select2-selection {
	@apply bg-gray-100 dark:bg-gray-700 focus:ring-0 focus:border-gray-300 dark:focus:border-gray-600 outline-none cursor-not-allowed;
}

.select2-container .select2-selection--single {
	@apply flex flex-wrap gap-2 items-center;
}

.select2-container .select2-selection--single .select2-selection__rendered {
	@apply block truncate text-gray-900 dark:text-white select-none;
}

.select2-selection__arrow {
	@apply absolute right-3 size-2 border-r-2 border-b-2 border-gray-500 rotate-45;
}

.select2-selection__placeholder {
	@apply text-gray-900 dark:text-white;
}

.select2-dropdown {
	@apply absolute block w-full box-border mt-2 z-50 bg-white rounded-lg shadow dark:bg-gray-700;
}

.select2-search:not(.select2-search--inline) {
	@apply block px-3 pt-3;
}

.select2-search:not(.select2-search--inline) .select2-search__field {
	@apply block w-full p-2 text-sm text-gray-900 border border-gray-300 rounded-lg bg-gray-50 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-600 dark:border-gray-500 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500;
}

.select2-search:not(.select2-search--inline)
	.select2-search__field::-webkit-search-cancel-button {
	@apply appearance-none;
}

.select2-results__options {
	@apply p-3 text-sm text-gray-700 dark:text-gray-200;
}

.select2-results__options.select2-results__options--nested {
	@apply px-0 py-2;
}

.select2-results__option--selectable {
	@apply p-2 text-sm font-medium select-none text-gray-900 dark:text-gray-300 rounded hover:bg-gray-100 dark:hover:bg-gray-600;
}

.select2-results__option.select2-results__option--disabled {
	@apply p-2 text-sm font-medium select-none cursor-not-allowed text-gray-400 dark:text-gray-500 rounded hover:bg-gray-100 dark:hover:bg-gray-600;
}

.select2-results__option.select2-results__message {
	@apply text-red-400 font-normal text-sm;
}

/* select2 multiple */
.select2-container .select2-selection--multiple {
	@apply relative box-border align-middle inline-block h-[42px] has-[li]:h-auto overflow-hidden;
}

.select2-container .select2-selection--multiple .select2-selection__rendered {
	@apply inline space-x-1 space-y-1  w-fit;
}

.select2-container .select2-selection__rendered .select2-selection__choice {
	@apply inline-block w-fit rounded text-gray-900 dark:text-white  bg-gray-100 hover:bg-gray-200 dark:bg-gray-600 dark:hover:bg-gray-500 select-none;
}

.select2-selection--multiple .select2-selection__choice__remove {
	@apply inline-block py-1.5 px-2.5 bg-gray-400/15  hover:text-white hover:bg-red-600 rounded-s;
}

.select2-selection__choice__display {
	@apply inline-block py-1.5 px-2.5;
}

.select2-container .select2-search--inline {
	@apply inline-block h-5 box-border overflow-hidden;
}

.select2-search .select2-search--inline [type="search"].select2-search__field,
.select2-search--inline textarea.select2-search__field {
	@apply text-gray-900 dark:text-white bg-transparent  placeholder-gray-900 dark:placeholder-white;
	height: 20px;
	overflow: hidden;
	appearance: none;
	border-color: #6b7280;
	border-width: 0px;
	border-radius: 0px;
	padding-top: 0px;
	padding-right: 0px;
	padding-bottom: 0px;
	padding-left: 0px;
	font-size: 14px;
	line-height: 20px;
	--tw-shadow: none;
	-webkit-appearance: textfield;
	resize: none;
	/* vertical-align: middle; */
}

.select2-search
	.select2-search--inline
	[type="search"].select2-search__field:focus,
.select2-search--inline textarea.select2-search__field:focus {
	outline: none;
	outline-offset: 0px;
}

/* content typoghrapy */
.content {
	blockquote,
	dl,
	dd,
	h1,
	h2,
	h3,
	h4,
	h5,
	h6,
	hr,
	figure,
	p,
	pre {
		margin: revert;
	}

	h1,
	h2,
	h3,
	h4,
	h5,
	h6 {
		font-size: revert;
		font-weight: revert;
	}

	ol,
	ul {
		list-style: revert;
		margin: revert;
		padding: revert;
	}

	img,
	svg,
	video,
	canvas,
	audio,
	iframe,
	embed,
	object {
		display: revert;
		vertical-align: revert;
	}

	table {
		border-collapse: collapse;
	}
	table:not([cellpadding]) td,
	table:not([cellpadding]) th {
		padding: 0.4rem;
	}
	table[border]:not([border="0"]):not([style*="border-width"]) td,
	table[border]:not([border="0"]):not([style*="border-width"]) th {
		border-width: 1px;
	}
	table[border]:not([border="0"]):not([style*="border-style"]) td,
	table[border]:not([border="0"]):not([style*="border-style"]) th {
		border-style: solid;
	}
	table[border]:not([border="0"]):not([style*="border-color"]) td,
	table[border]:not([border="0"]):not([style*="border-color"]) th {
		border-color: #ccc;
	}
}

/* pagination */

.pagination {
	@apply flex items-center -space-x-px h-10 text-base;
}

.pagination .page-item {
	@apply flex items-center justify-center px-3 h-10 leading-tight text-gray-500 bg-white border border-gray-300 hover:bg-gray-100 hover:text-gray-700 dark:bg-gray-800 dark:border-gray-700 dark:text-gray-400 dark:hover:bg-gray-700 dark:hover:text-white first:rounded-s-lg last:rounded-e-lg;
}

.pagination .page-item.active {
	@apply text-white bg-blue-500;
}

.page-size-selector {
	@apply bg-white border border-gray-300 text-gray-500 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2;
}

/* width */
::-webkit-scrollbar {
	width: 8px;
	height: 8px;
}

/* Track */
::-webkit-scrollbar-track {
	background: #f3f4f6;
	border-radius: 4px;
}

.dark ::-webkit-scrollbar-track {
	background: #111827;
}

/* Handle */
::-webkit-scrollbar-thumb {
	background: #e5e7eb;
	border-radius: 4px;
}

.dark ::-webkit-scrollbar-thumb {
	background: #1f2937;
	border-radius: 4px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
	background: #d1d5db;
}

.dark ::-webkit-scrollbar-thumb:hover {
	background: #374151;
}

input:-webkit-autofill,
textarea:-webkit-autofill,
select:-webkit-autofill {
	-webkit-box-shadow: 0 0 0 1000px rgba(0, 0, 0, 0.715) inset !important;
	-webkit-text-fill-color: #24272e !important;
}

.dark input:-webkit-autofill,
.dark textarea:-webkit-autofill,
.dark select:-webkit-autofill {
	-webkit-box-shadow: 0 0 0 1000px rgba(0, 0, 0, 0.779) inset !important;
	-webkit-text-fill-color: #ffffff !important;
}
